# set game status to in progress
scoreboard players set status mineclash.game 3

# apply elements
execute if score elemental mineclash.game.rules matches 1 run function mineclash:core/board/place_elements

# select a random player
scoreboard players operation player.next.id mineclash.game = player.1.id mineclash.game
execute if predicate mineclash:player/random run scoreboard players operation player.next.id mineclash.game = player.2.id mineclash.game

# display title
title @a title {"storage":"mineclash:data","nbt":"strings.game_started", "interpret":true}

# set and display initial score
execute if score player.next.id mineclash.game = player.1.id mineclash.game run scoreboard players add player.2.score mineclash.game 1
execute if score player.next.id mineclash.game = player.2.id mineclash.game run scoreboard players add player.1.score mineclash.game 1
scoreboard objectives setdisplay sidebar mineclash.game.score

# update public scoreboard
execute as @a[scores={mineclash.game.score=0..}] run function mineclash:core/player/update_score

# start first turn
function mineclash:core/game/next_turn